define([
// Dojo
    "dojo/_base/declare",
    "dojo/Deferred",
    "dojo/_base/lang",

    "dojo/when",

// EPi Framework
    "epi",
    "epi/Url",

// epi.shell
    "epi/dependency",
	
// EPi CMS
    "epi-cms/core/ContentReference",
    "epi-cms/core/PermanentLinkHelper",
    "epi-cms/legacy/LegacyDialogPopup",
    "epi-cms/widget/ContentSelector"
], function (
// Dojo
    declare,
    Deferred,
    lang,

    when,

// EPi Framework
    epi,
    Url,

// epi.shell
	dependency,
	
// EPi CMS
    ContentReference,
    PermanentLinkHelper,
	LegacyDialogPopup,
    ContentSelector) {

    return declare([ContentSelector], {
		
        templateString: "<div data-dojo-attach-point=\"inputContainer\" class=\"dijitReset dijitInputField dijitInputContainer dijitInline epi-resourceInputContainer\" id=\"widget_${id}\">\n      <div data-dojo-attach-point=\"displayNode, dropAreaNode, stateNode\" class=\"dijit dijitReset dijitInline dijitInlineTable dijitLeft dijitTextBox displayNode\">\n          <div class=\"dijitReset dijitLeft dijitInputField dijitInputContainer\">\n              <div data-dojo-attach-point=\"clearButton\" class=\"epi-clearButton\">&nbsp;</div>\n              <div data-dojo-attach-point=\"resourceName\" class=\"dijitInline epi-resourceName dojoxEllipsis\" >\n                  <span data-dojo-attach-point=\"selectedContentNameNode\"></span> <span data-dojo-attach-point=\"selectedContentLinkNode\"></span>\n              </div>\n          </div>\n      </div>\n      <div data-dojo-type=\"dijit/form/Button\" data-dojo-attach-event=\"onClick: _onButtonClick\" data-dojo-attach-point=\"button\" data-dojo-props=\"label:'...'\" title=\"Välj bild från EPiServer\"></div>\n  <div data-dojo-type=\"dijit/form/Button\" data-dojo-attach-event=\"onClick: _onMFButtonClick\" data-dojo-attach-point=\"mfbutton\" title=\"Välj bild från Mediaflow\"><img src=\"//mfstatic.com/images/epimfsmall3.png\"/></div>\n</div>",

        _onMFButtonClick: function() {
          var sFilename = '-';
          if(this.previewUrl) {
            sFilename = this.previewUrl.split(',')[0];
            var sArr = sFilename.split('/');
            sFilename = encodeURIComponent(sArr[sArr.length-1]);
          }
            // Summary:
            //    Handle Mediaflow button click
            // tags:
            //    private
            var w,h,dialogurl;
            if(window.innerHeight) {
              w = window.innerWidth;
              h = window.innerHeight;
            } else {
              h = document.compatMode!=='BackCompat'? document.documentElement.clientHeight : document.body.clientHeight;
              w = document.compatMode!=='BackCompat'? document.documentElement.clientWidth : document.body.clientWidth;
            }
			var cPageId = '';
			var cLanguage = '';
            var contextService = dependency.resolve("epi.shell.ContextService");
			if(contextService) {
				var currentContext = contextService.currentContext;
				if(currentContext && currentContext.id) {
					var res = currentContext.id.split("_");
					cPageId = res[0];
					if(currentContext.language)
					  cLanguage = currentContext.language;
				}
			}
				
            dialogurl = '../Mediaflow.Image.Plugin/mfimage/dialog75.aspx?pg=' + cPageId + '&lang=' + cLanguage + '&selectedfile=' + this.value + '&idt=' + this.id + '&fn=' + sFilename;
			
		    if (!this._mfdialog) {
			  this._mfdialog = new LegacyDialogPopup({autoFit:true,features:{width:(w-200),height:(h-200)},url:dialogurl + ''});
			  this.connect(this._mfdialog, "onExecute", this._onMFExecute);
			  this.connect(this._mfdialog, "onCallback", this._onMFCallback);
			  this.connect(this._mfdialog, 'onHide', this._onMFHide);
		    }
		    this.isShowingChildDialog = true;
		    this._mfdialog.show();
        },
        _onMFHide: function () {
          this.isShowingChildDialog = false;
          this._mfdialog.destroyRecursive();
          delete this._mfdialog;
        },
        _onMFExecute: function (value) {
        },
        _onMFCallback: function (value) {
        },                
        _getPageId: function (context) {
            if (context == null) return "";
            return context.split('_')[0];
        }
    });
});
