﻿<%@ Page language="c#" %>
<%@ Import namespace="EPiServer" %>
<%@ Import namespace="EPiServer.Core" %>
<%@ Import namespace="EPiServer.Configuration" %>
<%@ Import namespace="EPiServer.Web" %>
<%@ Import namespace="EPiServer.Web.Hosting" %>
<%@ Import namespace="EPiServer.Web.Routing" %>
<%@ Import namespace="EPiServer.Framework.Localization" %>
<%@ Import namespace="EPiServer.Globalization" %>
<%@ Import namespace="EPiServer.ServiceLocation" %>
<%@ Import namespace="EPiServer.Security" %>
<%
Response.ContentType = "text/html; charset=utf-8";
Response.Cache.SetExpires(System.DateTime.Now.AddYears(-2));
Response.Cache.SetCacheability(HttpCacheability.NoCache);
%><!doctype html>
<html lang="sv">
<head>
<title>Infoga media från Mediaflow</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
</head>
<body>
<%
  string s, sRandom, sURL, sName, sUserName, sMFPKey, sMFPServerID, sMFPVirtualRoleMapping, sSite, sIVData, epsLanguage, sdijitID, sPageName="", sFilename= "";
  Random rand = new Random();
  int i, pageId;
  bool hasMFPKey, hasMFPServerID, updateExistingImage;
  
  hasMFPKey = true;
  hasMFPServerID = true;
  StringBuilder sb = new StringBuilder();
  for(i=0; i<10; i++)
    sb.Append(Convert.ToChar(rand.Next(65,85)));
  sRandom = sb.ToString();
    
  sURL = "http://";
  sUserName = "admin";
  sMFPKey = "";
  sMFPServerID = "";
  sMFPVirtualRoleMapping = "";
  sSite = "EPiSite";
  sIVData = "";
  sdijitID = "";
  
  if(System.Web.Configuration.WebConfigurationManager.AppSettings["MFPKey"]!=null)
    sMFPKey = System.Web.Configuration.WebConfigurationManager.AppSettings["MFPKey"].Trim().Replace("\"", "").Replace("'", "").Replace("\\", "");
  if(System.Web.Configuration.WebConfigurationManager.AppSettings["MFPServerID"]!=null)
    sMFPServerID = System.Web.Configuration.WebConfigurationManager.AppSettings["MFPServerID"].Trim().Replace("\"", "").Replace("'", "").Replace("\\", "");
    if(System.Web.Configuration.WebConfigurationManager.AppSettings["MFPVirtualRoleMapping"]!=null)
        sMFPVirtualRoleMapping = System.Web.Configuration.WebConfigurationManager.AppSettings["MFPVirtualRoleMapping"].Trim().Replace("\"", "").Replace("'", "").Replace("\\", "");

	if (sMFPVirtualRoleMapping.Length > 0) {
	  string[] sArr = sMFPVirtualRoleMapping.Split(';');
	  bool isFound = false;
	  for(i=0; i<sArr.Length; i++) {
		string[] sArr2 = sArr[i].Split('=');
		if (sArr2.Length == 2 && sArr2[0].Length>0 && sArr2[1].Length>0) {
		  if (sArr2[0] == "*") {
		    sMFPKey = sArr2[1];
		    isFound = true;
			break;
	      } else {
		    if (VirtualRoles.IsPrincipalInVirtualRole(EPiServer.Security.PrincipalInfo.CurrentPrincipal, sArr2[0], null)) {
		      sMFPKey = sArr2[1];
		      isFound = true;
  			  break;
			}
		  }
		}
	  }
	}  
  
  if(sMFPKey.Length<10 || sMFPServerID.Length<1)
    hasMFPKey = false;
	
  pageId = 0;
  epsLanguage = "";
  
  sName = EPiServer.Personalization.EPiServerProfile.Current.UserName;
  sUserName = HttpContext.Current.User.Identity.Name;
  if(EPiServer.Web.SiteDefinition.Current!=null)
    sSite = EPiServer.Web.SiteDefinition.Current.Name;
  
  s = Request.QueryString["pg"];
  if(s!=null) 
    Int32.TryParse(s, out pageId);
  s = Request.QueryString["lang"];
  if(s!=null) 
    epsLanguage = s.Trim();
  s = Request.QueryString["fn"];
  if(s!=null) 
    sFilename = s.Trim();
  s = Request.QueryString["idt"];
  if(s!=null) 
    sdijitID = s.Trim();

  if (pageId != 0)
  {
    var _resolver = ServiceLocator.Current.GetInstance<UrlResolver>();
    var repository = ServiceLocator.Current.GetInstance<IContentRepository>();

    ContentReference contentRef = new ContentReference(pageId);
	  
	  var pd = repository.Get<ContentData>(contentRef);
    if(pd is PageData && pd!=null)
	    sPageName = ((PageData)pd).PageName;

    string pageUrl = "";
    string lang = epsLanguage;
    if (lang == null || lang.Length < 1)
      lang = null;
    if (_resolver.GetVirtualPath(contentRef, lang) != null)
    {
      // EPi 8: pageUrl = _resolver.GetVirtualPath(contentRef, lang).VirtualPath;
      // EPi 7.5: pageUrl = _resolver.GetVirtualPath(contentRef, lang).VirtualPath;
      pageUrl = _resolver.GetVirtualPath(contentRef, lang).VirtualPath;
    }
    sURL = VirtualPathUtility.RemoveTrailingSlash(SiteDefinition.Current.SiteUrl.ToString()) + pageUrl;
  } else {
    sURL = VirtualPathUtility.RemoveTrailingSlash(SiteDefinition.Current.SiteUrl.ToString());	
  }
    
  string MFPSaveLocation = "any";
  if(System.Web.Configuration.WebConfigurationManager.AppSettings["MFPSaveLocation"]!=null)
    MFPSaveLocation = System.Web.Configuration.WebConfigurationManager.AppSettings["MFPSaveLocation"].Trim().ToLower();
  if(MFPSaveLocation!="pagefiles" && MFPSaveLocation!="globalfiles" && MFPSaveLocation!="any")
    MFPSaveLocation = "any";
  string MFPDescriptionAsAlt = "true";
  if(System.Web.Configuration.WebConfigurationManager.AppSettings["MFPDescriptionAsAlt"]!=null)
      MFPDescriptionAsAlt = System.Web.Configuration.WebConfigurationManager.AppSettings["MFPDescriptionAsAlt"].Trim().ToLower();
  if(MFPDescriptionAsAlt=="no" || MFPDescriptionAsAlt=="0")
      MFPDescriptionAsAlt = "false";
  if(MFPDescriptionAsAlt!="false")
      MFPDescriptionAsAlt = "true";
  string MFPAllowEmptyAlt = "true";
  if(System.Web.Configuration.WebConfigurationManager.AppSettings["MFPAllowEmptyAlt"]!=null)
      MFPAllowEmptyAlt = System.Web.Configuration.WebConfigurationManager.AppSettings["MFPAllowEmptyAlt"].Trim().ToLower();
  if(MFPAllowEmptyAlt=="no" || MFPAllowEmptyAlt=="0")
      MFPAllowEmptyAlt = "false";
  if(MFPAllowEmptyAlt!="false")
      MFPAllowEmptyAlt = "true";
    
    
  updateExistingImage = false;
  s = "";
  if(System.Web.Configuration.WebConfigurationManager.AppSettings["MFPUpdateExistingImage"]!=null)
    s = System.Web.Configuration.WebConfigurationManager.AppSettings["MFPUpdateExistingImage"].Trim().ToLower();
  if(s=="true" || s=="yes")
    updateExistingImage = true;
  
  if(updateExistingImage) {
    string postData = "ident=" + System.Web.HttpUtility.UrlEncode(pageId.ToString() + ";" + sdijitID.Replace(";", ""));
    postData += "&fname=" + System.Web.HttpUtility.UrlEncode(sFilename.Replace(";", ""));
    string sRet = GetStrFromWeb("https://i" + sMFPServerID + ".inviewer.se/integration/EPIGetData.aspx?key=" + sMFPKey + "&uname=" + System.Web.HttpUtility.UrlEncode(sName), postData);
    if(sRet.Length>0 && sRet.StartsWith("OK")) {
      sIVData = sRet.Substring(2);
    }
  }

  string CMSVersion = EPiServer.Shell.Paths.ToClientResource("CMS", "");
  if(CMSVersion==null)
  {
    CMSVersion = "";
  } else
  {
    CMSVersion = ", EPiServer.UI " + CMSVersion.ToLower().Replace("/episerver/cms/", "").Replace("/", "");
  }

  Response.Write("<script type=\"text/javascript\">\n");
	Response.Write("var MFPImage = MFPImage || {};\n");
	Response.Write("MFPImage.loggedinUserName = '" + sUserName.Replace("\\", "\\\\").Replace("'", "\\'") + "';\n");
	Response.Write("MFPImage.PageUri = '" +  sURL.Replace("\\", "\\\\").Replace("'", "\\'") + "';\n");
	Response.Write("MFPImage.cookiePath = '/';\n");
	Response.Write("MFPImage.pluginURL = 'IV_pluginURL';\n");
	Response.Write("MFPImage.pluginKey = '" + sMFPKey + "';\n");
	Response.Write("MFPImage.pluginServerID = '" + sMFPServerID + "';\n");
	Response.Write("MFPImage.pluginRandomNames = '1';\n");
  Response.Write("MFPImage.pageName = '" + sPageName.Replace("\\", "\\\\").Replace("'", "\\'") + "';\n");
	Response.Write("MFPImage.loggedinUser = '" + sName.Replace("\\", "\\\\").Replace("'", "\\'") + "';\n");
	Response.Write("MFPImage.pgid = '" + pageId.ToString() + "';\n");
	Response.Write("MFPImage.lang = '" + epsLanguage.Replace("\\", "\\\\").Replace("'", "\\'") + "';\n");
	Response.Write("MFPImage.fname = '" + sFilename.Replace("\\", "\\\\").Replace("'", "\\'") + "';\n");
	Response.Write("MFPImage.wpVersion = '100';\n");
	Response.Write("MFPImage.saveLocation = '" + MFPSaveLocation + "';\n");
  Response.Write("MFPImage.descriptionAsAlt = " + MFPDescriptionAsAlt + ";\n");
  Response.Write("MFPImage.allowEmptyAlt = " + MFPAllowEmptyAlt + ";\n");  
	Response.Write("MFPImage.prefix = '" + sRandom + "';\n");
	Response.Write("MFPImage.dijitID = '" + sdijitID.Replace("\\", "\\\\").Replace("'", "\\'") + "';\n");
	Response.Write("MFPImage.IVData = '" + sIVData.Replace("\\", "\\\\").Replace("'", "\\'") + "';\n");
	if(hasMFPKey==false)
	   Response.Write("MFPImage.hasMFPKey = false;\n");
	else
		Response.Write("MFPImage.hasMFPKey = true;\n");
	if(hasMFPServerID==false)
		Response.Write("MFPImage.hasMFPServerID = false;\n");
	else
		Response.Write("MFPImage.hasMFPServerID = true;\n");
  Response.Write("MFPImage.sSite= '" + sSite.Replace("\\", "\\\\").Replace("'", "\\'") + "';\n");
  Response.Write("MFPImage.APIBaseURL = '';\n");
  Response.Write("MFPImage.imageBaseURL = '';\n");
  Response.Write("MFPImage.staticURL = '';\n");
  Response.Write("MFPImage.startFolder = '';\n");
	Response.Write("</script>\n");
	Response.Write("<style type=\"text/css\">\n");
	Response.Write("a.IV_afileview_magnify {background-image: url(\"https://mfstatic.com/theme/a/fileview_sprite.png\");background-position: 0 -194px;background-repeat: no-repeat;border: 0 none;color: #C4C4C4;cursor: pointer;font-family: arial,helvetica;font-size: 12px;height: 16px;padding-left: 24px;text-decoration: none;white-space: nowrap;}\n");
	Response.Write("a.IV_afileview_magnify:hover {background-image: url(\"https://mfstatic.com/theme/a/fileview_sprite_o.png\");color: #FFFFFF;}\n");
	Response.Write("td.IV_righttaba { white-space:nowrap;background-color: #EFEFEF; border-right: 1px solid #EFEFEF; color: #333333; cursor: default; font-family: arial,helvetica,sans-serif; font-size: 11px; padding: 7px 10px; text-shadow: 0 1px 0 #E2E2E2;}\n");
	Response.Write("td.IV_righttab { white-space:nowrap;background-color: #B7B7B7; border-right: 1px solid #9C9C9C;color: #555555;cursor: pointer;font-family: arial,helvetica,sans-serif;font-size: 11px;padding: 7px 10px;text-shadow: 0 1px 0 #E2E2E2;}\n");
	Response.Write("td.IV_righttabo { white-space:nowrap;background-color: #C1C1C1;border-right: 1px solid #9C9C9C;color: #707070;cursor: pointer;font-family: arial,helvetica,sans-serif;font-size: 11px;padding: 7px 10px;text-shadow: 0 1px 0 #E2E2E2;}\n");
	Response.Write("body {font-family: arial,helvetica,sans-serif;}\n");
	Response.Write("td {font-size:12px;color:#444;}\n");
	Response.Write("input {font-size:12px;color:#444;}\n");
	Response.Write("span.kw {cursor:pointer;}\n");
	Response.Write("span.kwm {cursor:pointer;color:#fff;background-color:#003366;border-radius:3px;}\n");
	Response.Write("div.bubb1 {position:absolute;left:100px;top:2px;border-radius:6px;font-size:10px;background-color:#003366;color:#fff;padding:0px 4px 1px 4px;text-align:center;}\n");
	Response.Write("div.bubb2 {position:absolute;left:196px;top:2px;border-radius:6px;font-size:10px;background-color:#003366;color:#fff;padding:0px 4px 1px 4px;text-align:center;}\n");
	Response.Write("</style>\n");
	Response.Write("<link href=\"https://mfstatic.com/css/font-awesome.min.css\" type=\"text/css\" rel=\"stylesheet\" />\n");
	Response.Write("<link href=\"https://mfstatic.com/css/ars-maquette.css\" type=\"text/css\" rel=\"stylesheet\" />\n");
	Response.Write("<link href=\"https://mfstatic.com/css/cropper.min.css\" type=\"text/css\" rel=\"stylesheet\" />\n");
	Response.Write("<link href=\"js/MFPImage.css?4\" type=\"text/css\" rel=\"stylesheet\" />\n");
	Response.Write("<form id=\"" + sRandom + "form\" name=\"" + sRandom + "form\" action=\"response.aspx\" method=\"post\" OnSubmit=\"return false;\">\n");
	Response.Write("<div style=\"display:none;position:absolute;top:0px;left:0px;height:41px;width:100%;background-color:#fff;border-bottom:1px solid #d0d0d0;\" id=\"" + sRandom + "IV_toparea\">\n");
	Response.Write("<img src=\"https://mfstatic.com/images/mflogo58.png\" style=\"position:absolute;top:6px;left:95px;height:29px;width:60px;\" OnClick=\"window.open('https://mediaflow.com/login/?fromEPI=true','_blank');\" id=\"" + sRandom + "IV_logoImg\" title=\"Mediaflow.Image.Plugin 1.0.4, .NET CLR " + Environment.Version.ToString() + CMSVersion + "\" />\n");
	Response.Write("<div style=\"position:absolute;top:4px;left:250px;\" id=\"" + sRandom + "IV_submitbtn\"><a href=\"javascript:MFPImage.doSubmit();\" class=\"IV_submitBtn\" id=\"" + sRandom + "IV_submitBtn\">Använd markerad bild</a></div>\n");
	Response.Write("<div style=\"position:absolute;top:4px;left:30px;display:none;\" id=\"" + sRandom + "IV_backbtn\"><button OnClick=\"MFPImage.doBacka();\" class=\"MFPbtn MFPbtn-sec\"><span class=\"MFPwarn\">&#xf104;</span>Välj en annan bild</button></div>\n");
	Response.Write("<div style=\"position:absolute;top:9px;width:300px;\" id=\"" + sRandom + "IV_searchbar\"><button style=\"float:right;\" OnClick=\"MFPImage.doSend();\" class=\"MFPbtn MFPbtn-primary\" id=\"" + sRandom + "IV_searchBtn\">Sök</button>\n");
	Response.Write("<input style=\"float:right;width:205px;\" type=\"text\" id=\"" + sRandom +"IV_search\" name=\"" + sRandom + "IV_search\" class=\"MFPinput\" OnFocus=\"select();\" OnKeyDown=\"MFPImage.checkSearch(event);\" value=\"\"  placeholder=\"Sök filer...\" autocomplete=\"off\" /></div></div>\n");
	Response.Write("<div style=\"display:none;position:absolute;top:42px;left:0px;background-color:#444;\" id=\"" + sRandom + "IV_area\"></div>\n");
	Response.Write("<div id=\"" + sRandom + "IV_treeArea\" style=\"display:none;background-color:#fff;border-right:1px solid #d0d0d0;line-height:normal;position:absolute;top:42px;left:0px;width:249px;height:200px;overflow:auto;border:1px solid #d7d7d7;\"> </div>\n");
	Response.Write("<div id=\"" + sRandom + "IV_imgArea\" style=\"display:none;position:absolute;top:42px;left:250px;width:200px;height:200px;overflow:auto;border-top:1px solid #d7d7d7;border-right:1px solid #d7d7d7;\"> </div>\n");
	Response.Write("<div id=\"" + sRandom + "IV_previewArea\" style=\"display:none;position:absolute;top:42px;left:193px;width:200px;height:220px;overflow:hidden;background-color:#5f5f5f;\"> </div>\n");
	Response.Write("<div id=\"" + sRandom + "IV_startArea\" style=\"display:none;position:absolute;top:42px;left:250px;right:0;bottom:0;overflow:hidden;background-color:#fff;\"><div style=\"padding-top: 55px;text-align:center;font-size: 20px;font-weight:normal;color:#444;\">Välkommen!</div><div style=\"padding-top: 18px;text-align:center;font-size:14px;font-weight:normal;color:#444;width:45%;margin: 0 auto;line-height:20px;\">Här till vänster kommer du åt mapp- och kategoriträdet. Klicka på en mapp för att visa dess innehåll. Uppe till höger kommer du även åt sökfunktionen där du kan söka fram filer utifrån sökord</div></div>\n");	
	Response.Write("<div id=\"" + sRandom + "IV_largePreview\" OnClick=\"MFPImage.hideSingle();\" style=\"display:none;position:absolute;top:0px;left:0px;width:200px;height:220px;overflow:hidden;background-color:#5f5f5f;\"> </div>\n");
	Response.Write("<img id=\"" + sRandom + "IV_spinner\" style=\"position:absolute;top:180px;left:193px;width:16px;height:16px;display:none;\" src=\"https://mfstatic.com/images/ajax-loader16.gif\" />\n");
	Response.Write("<img id=\"" + sRandom + "IV_spinnerBig\" style=\"position:absolute;top:180px;left:193px;width:32px;height:32px;display:none;\" src=\"https://mfstatic.com/images/ajax-loader32.gif\" />\n");
	Response.Write("<div id=\"" + sRandom + "IV_morker\" style=\"display:none;cursor:wait;background-color:#fff;position:absolute; left:0px; top:0px; width:100%; height:100%; z-index:107; filter:alpha(opacity=50);-khtml-opacity: 0.5;opacity: 0.5;\"></div>\n");
	Response.Write("<div id=\"" + sRandom + "IV_morkerinfo\" style=\"display:none;cursor:wait;background-color:#ffffff;position:absolute;left:50%;top:20%;margin-left:-90px;width:180px;height:180px;border:1px solid #3b99c8;box-shadow:2px 2px 8px rgba(0,0,0,0.4);border-radius:90px;z-index:108;font-family:arial,helvetica;font-size:13px;color:#666666;line-height:21px;\" align=center><div style=\"padding-top:30px;\"><img src=\"https://mfstatic.com/images/ajax-loader32.gif\" width=32 height=32 style=\"margin-bottom:18px;\"><br>Ett ögonblick...<br><span id=\"" + sRandom + "IV_morkerinfotext\">...</span></div>\n");
	Response.Write("<div id=\"" + sRandom + "IV_ulprogressbg\" style=\"position:absolute;background-color:#d6d6d6;height:5px;width:120px;top:126px;left:30px;border:0;display:none;\"></div>\n");
	Response.Write("<div id=\"" + sRandom + "IV_ulprogress\" style=\"position:absolute;background-color:#000080;height:5px;width:20px;top:126px;left:30px;border:0;display:none;\"></div></div>\n");
	Response.Write("</div>\n");
	Response.Write("<div id=\"" + sRandom + "IV_accountImg\" style=\"display:none;position:absolute;top:0px;left:0px;width:600px;height:286px;overflow:hidden;background-color:#ffffff;border:1px solid #d7d7d7;\">\n");
	Response.Write("<div style=\"position:absolute;top:20px;left:20px;width:196px;height:196px;\"><table border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td width=\"196\" height=\"196\" align=\"center\" valign=\"middle\" id=\"" + sRandom + "IV_accPreview\">&nbsp;</tr></table></div>\n");
	Response.Write("<div style=\"position:absolute;top:20px;left:236px;font-family:Arial,helvetica,sans-serif;font-size:11px;color:#444444;\"><div style=\"padding-bottom:15px;font-weight:200;font-size:18px;\">Redovisa hur bilden ska användas:</div>\n");
	Response.Write("<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n");
	Response.Write("<tr><td align=\"right\">URL&nbsp;:&nbsp;</td><td><input type=\"text\" id=\"" + sRandom + "IV_AccURL\" value=\"\" class=\"IV_accField\"></td></tr>\n");
	Response.Write("<tr><td align=\"right\">Ansvarig&nbsp;:&nbsp;</td><td><input type=\"text\" id=\"" + sRandom + "IV_AccResp\" name=\"" + sRandom + "IV_AccResp\" value=\"\" class=\"IV_accField\"></td></tr>\n");
	Response.Write("<tr><td align=\"right\">Projekt&nbsp;:&nbsp;</td><td><input type=\"text\" id=\"" + sRandom + "IV_AccProject\" name=\"" + sRandom + "IV_AccProject\" value=\"\" class=\"IV_accField\"></td></tr>\n");
	Response.Write("<tr><td align=\"right\">Publiceringsdatum&nbsp;:&nbsp;</td><td><input type=\"text\" id=\"" + sRandom + "IV_AccDate\" value=\"\" class=\"IV_accField\" style=\"width:80px;\"></td></tr>\n");
	Response.Write("<tr><td align=\"right\" valign=\"top\" style=\"padding-top:2px;\">Övrig info&nbsp;:&nbsp;</td><td><textarea type=\"text\" id=\"" + sRandom + "IV_AccInfo\" class=\"IV_accField\"></textarea></td></tr>\n");
	Response.Write("</table></div> \n");
	Response.Write("<div style=\"position:absolute;top:240px;left:398px;\"><input type=\"button\" OnClick=\"MFPImage.cancelAccount();\" value=\"« Gå tillbaka\" />&nbsp;&nbsp;<input type=\"button\" class=\"button-secondary\" OnClick=\"MFPImage.doAccount();\" value=\"OK, spara »\" /></div>\n");
	Response.Write("</div>\n");
	Response.Write("<input type=\"hidden\" name=\"" + sRandom + "IV_importImg\" id=\"" + sRandom + "IV_importImg\" value=\"\">\n");
	Response.Write("<input type=\"hidden\" name=\"" + sRandom + "IV_importFilename\" id=\"" + sRandom + "IV_importFilename\" value=\"\">\n");
	Response.Write("<input type=\"hidden\" name=\"" + sRandom + "IV_photographer\" id=\"" + sRandom + "IV_photographer\" value=\"\">\n");
	Response.Write("<input type=\"hidden\" name=\"" + sRandom + "IV_description\" id=\"" + sRandom + "IV_description\" value=\"\">\n");
	Response.Write("<input type=\"hidden\" name=\"" + sRandom + "IV_x1\" id=\"" + sRandom + "IV_x1\" value=\"\">\n");
	Response.Write("<input type=\"hidden\" name=\"" + sRandom + "IV_x2\" id=\"" + sRandom + "IV_x2\" value=\"\">\n");
	Response.Write("<input type=\"hidden\" name=\"" + sRandom + "IV_y1\" id=\"" + sRandom + "IV_y1\" value=\"\">\n");
	Response.Write("<input type=\"hidden\" name=\"" + sRandom + "IV_y2\" id=\"" + sRandom + "IV_y2\" value=\"\">\n");
	Response.Write("<input type=\"hidden\" name=\"" + sRandom + "IV_sw\" id=\"" + sRandom + "IV_sw\" value=\"700\">\n");
	Response.Write("<input type=\"hidden\" name=\"" + sRandom + "IV_sh\" id=\"" + sRandom + "IV_sh\" value=\"700\">\n");
	Response.Write("<input type=\"hidden\" name=\"" + sRandom + "IV_width\" id=\"" + sRandom + "IV_width\" value=\"\">\n");
	Response.Write("<input type=\"hidden\" name=\"" + sRandom + "IV_height\" id=\"" + sRandom + "IV_height\" value=\"\">\n");
	Response.Write("<input type=\"hidden\" name=\"" + sRandom + "IV_format\" id=\"" + sRandom + "IV_format\" value=\"0\">\n");
	Response.Write("<input type=\"hidden\" name=\"" + sRandom + "IV_saveImgStore\" id=\"" + sRandom + "IV_saveImgStore\" value=\"0\">\n");
	Response.Write("<input type=\"hidden\" name=\"" + sRandom + "IV_setKey\" id=\"" + sRandom + "IV_setKey\" value=\"\">\n");
	Response.Write("<input type=\"hidden\" name=\"" + sRandom + "IV_isVideo\" id=\"" + sRandom + "IV_isVideo\" value=\"0\">\n");
	Response.Write("</form>\n");
%>
<script type="text/javascript" src="https://mfstatic.com/js/jquery.min.js"></script>
<script type="text/javascript" src="js/cropper.min.js" charset="utf-8"></script>
<script type="text/javascript" src="js/MFPImage.js?sl=<%=rand.Next(10000,100000).ToString() %>" charset="utf-8"></script>
</body>
</html>
<script runat="server">
public string GetStrFromWeb(string URL, string PostData)
{
  System.Net.HttpWebResponse res22;
  System.Net.HttpWebRequest req22;
  System.IO.Stream receiveStream, tempStream=null;
  string s;
  byte[] buffer = new byte[1024];
  byte[] buff;
  int Count;
  string MFPProxyURL = "";

  buff = null;
  if(PostData.Length>0) {
	  buff = System.Text.Encoding.UTF8.GetBytes(PostData);
  }
  req22 = (System.Net.HttpWebRequest)System.Net.WebRequest.Create(URL);
  req22.MaximumAutomaticRedirections = 1;
  req22.MaximumResponseHeadersLength = 4;
  req22.Credentials = System.Net.CredentialCache.DefaultCredentials;
  if(System.Web.Configuration.WebConfigurationManager.AppSettings["MFPProxyURL"]!=null)
   MFPProxyURL = System.Web.Configuration.WebConfigurationManager.AppSettings["MFPProxyURL"];
  if(MFPProxyURL.Length>0)
    req22.Proxy = new System.Net.WebProxy(MFPProxyURL);
  req22.Timeout = 10000;
  req22.ReadWriteTimeout = 10000;
  if(PostData.Length>0) {
	req22.ContentType = "application/x-www-form-urlencoded;charset=UTF-8";
	req22.ContentLength = buff.Length;
	req22.Method = "POST";
	req22.ProtocolVersion = System.Net.HttpVersion.Version11;
	req22.KeepAlive = true;

	try {
	  tempStream = req22.GetRequestStream();
	} catch (Exception) {
	  return "";
	}
	tempStream.Write(buff, 0, buff.Length);
	try {
	  tempStream.Close();
	} catch (Exception) {
	}
  }

  try	{
	res22 = (System.Net.HttpWebResponse)req22.GetResponse();
  } catch(System.Net.WebException) {
	return "";
  }
  
  try	{
	receiveStream = res22.GetResponseStream();
  } catch(Exception) {
	try {
	  res22.Close();
   } catch (Exception) {
	}
	try {
	  req22.Abort();
	} catch (Exception) {
	}
	return "";
  }

  s = "";
  try	{
	Count = receiveStream.Read(buffer, 0, 1024);
	while(Count>0) {
	  s = s + System.Text.Encoding.UTF8.GetString(buffer, 0, Count);
	  Count = receiveStream.Read(buffer, 0, 1024);
	}
  } catch(Exception) {
	try {
	  receiveStream.Close();
	} catch (Exception) {
	}
	try {
	  res22.Close();
	} catch (Exception) {
	}
	try {
	  req22.Abort();
	} catch (Exception) {
	}    	  
	return s;
  }

  try {
	receiveStream.Close();
  } catch (Exception) {
  }
  try {
	res22.Close();
  } catch (Exception) {
  }
  return s;
}
</script>