﻿<%@ Page language="c#" %>
<%@ Import namespace="EPiServer" %>
<%@ Import namespace="EPiServer.Core" %>
<%@ Import namespace="EPiServer.Configuration" %>
<%@ Import namespace="EPiServer.Web" %>
<%@ Import namespace="EPiServer.Web.Hosting" %>
<%@ Import namespace="EPiServer.Web.Routing" %>
<%@ Import namespace="EPiServer.DataAccess" %>
<%@ Import namespace="EPiServer.DataAbstraction" %>
<%@ Import namespace="EPiServer.Filters" %>
<%@ Import namespace="EPiServer.Framework.Localization" %>
<%@ Import namespace="EPiServer.Framework.Blobs" %>
<%@ Import namespace="EPiServer.Globalization" %>
<%@ Import namespace="EPiServer.ServiceLocation" %>
<%
    Response.ContentType = "application/json; charset=utf-8";
    Response.Cache.SetExpires(System.DateTime.Now.AddYears(-2));
    Response.Cache.SetCacheability(HttpCacheability.NoCache);

    string IVData="8004";
    string sMFPKey = Request.Form["key"];
    string sMFPServerID = Request.Form["sid"];
    int i, iPos, FilenameCount, pageId;
    string uname = Request.Form["uname"];
    string sUser = Request.Form["user"];
    string sImageNumber = Request.Form["img"];
    string sFormat = Request.Form["fmt"];
    string sUri = Request.Form["uri"];
    string sPageName = Request.Form["pname"];
    string sX1 = Request.Form["x1"];
    string sX2 = Request.Form["x2"];
    string sY1 = Request.Form["y1"];
    string sY2 = Request.Form["y2"];
    string sSw = Request.Form["sw"];
    string sSh = Request.Form["sh"];
    string sWidth = Request.Form["w"];
    string sHeight = Request.Form["h"];
    string sPageId = Request.Form["pgid"];
    string sFilename = Request.Form["fname"];
    string sDescription = Request.Form["desc"];
    string sPhoto = Request.Form["photo"];
    string sStore = Request.Form["store"];
    string sIdentifier = sPageId.Replace(";", "") + ";" + Request.Form["ident"].Replace(";", "");
    string sCoords = sFilename.Replace(";", "") + ";" + sImageNumber + ";" + sStore + ";" + sFormat + ";" + sX1 + ";" + sX2 + ";" + sY1 + ";" + sY2 + ";" + sSw + ";" + sSh + ";" + sWidth + ";" + sHeight;
    Random rand = new Random();

    try
    {
        if (sDescription == null) sDescription = "";
        if (sPhoto == null) sPhoto = "";

        if (sMFPServerID == null || sMFPServerID.Length < 1 || sMFPServerID.Length > 3 || sMFPKey == null || sMFPKey.Length < 9 || sMFPKey.Length > 20 || sImageNumber == null || sImageNumber.Length < 9 || sImageNumber.Length > 20)
        {
            Response.Write("{\"status\":\"NOTSAVED\",\"tmp\":\"\",\"imageSrc\":\"\",\"ivd\":\"\",\"errdata\":\"Missing parameters\"}");
            return;
        }
        string sName = EPiServer.Personalization.EPiServerProfile.Current.UserName;
        string sUserName = HttpContext.Current.User.Identity.Name;
        string sSite = "EPiSite";

        iPos = sFilename.LastIndexOf(".");
        string fileExtention = ".jpg";
        if (iPos > 0)
            fileExtention = sFilename.Substring(iPos).ToLower();

            
        if (EPiServer.Web.SiteDefinition.Current != null)
            sSite = EPiServer.Web.SiteDefinition.Current.Name;

        string sURL = "https://i" + sMFPServerID + ".inviewer.se/integration/EPIPostData.aspx?key=" + sMFPKey + "&uname=" + uname;
        string postData = "project=" + System.Web.HttpUtility.UrlEncode(sSite);
        postData += "&img=" + System.Web.HttpUtility.UrlEncode(sImageNumber);
        postData += "&url=" + System.Web.HttpUtility.UrlEncode(sUri);
        postData += "&page=" + System.Web.HttpUtility.UrlEncode(sPageName);
        postData += "&resp=" + System.Web.HttpUtility.UrlEncode(sUser);
        postData += "&ident=" + System.Web.HttpUtility.UrlEncode(sIdentifier);
        postData += "&coords=" + System.Web.HttpUtility.UrlEncode(sCoords);
        string sRet = GetStrFromWeb(sURL, postData);

        if (sRet != "OK")
        {
            Response.Write("{\"status\":\"NOTSAVED\",\"tmp\":\"\",\"imageSrc\":\"\",\"ivd\":\"\",\"errdata\":\"EPIPostData.aspx:" + sRet.Replace("\\", "\\\\").Replace("\"", "\\\"") + "\"}");
            return;
        }

        sURL = "https://i" + sMFPServerID + ".inviewer.se/integration/SVGetFile.aspx?key=" + sMFPKey + "&uname=" + uname + "&img=" + sImageNumber + "&imf=" + sFormat + "&x1=" + sX1 + "&x2=" + sX2 + "&y1=" + sY1 + "&y2=" + sY2 + "&sw=" + sSw + "&sh=" + sSh + "&width=" + sWidth + "&height=" + sHeight;
        if(fileExtention==".png") sURL += "&format=png";
        
        string sTmpFile = System.IO.Path.GetTempPath();
        if (sTmpFile.EndsWith("\\") == false)
            sTmpFile += "\\";
        sTmpFile += "tmp_" + System.DateTime.Now.ToString("yyyyMMddhhmss") + "_" + rand.Next(10000, 100000).ToString() + fileExtention;

        if (GetFileFromWeb(sURL, sTmpFile, "") != 0)
        {
            Response.Write("{\"status\":\"NOTSAVED\",\"message\":\"Fel i kommuniktationen med Mediaflow\",\"imageSrc\":\"\",\"ivd\":\"\",\"errdata\":\"\"}");
            return;
        }

        var contentRepository = ServiceLocator.Current.GetInstance<IContentRepository>();
        var blobFactory = ServiceLocator.Current.GetInstance<IBlobFactory>();
        var contentTypeRepository = ServiceLocator.Current.GetInstance<IContentTypeRepository>();
        var mediaDataResolver = ServiceLocator.Current.GetInstance<ContentMediaResolver>();

        //Get a suitable MediaData type from extension
        var mediaType = mediaDataResolver.GetFirstMatching(fileExtention);
        var contentType = contentTypeRepository.Load(mediaType);

        MediaData file1;

        pageId = 0;
        if (sPageId != null)
            Int32.TryParse(sPageId, out pageId);
        if (sStore == "1" || pageId < 1)
        {
            ContentReference cf = GetOrCreateFolder(contentRepository, SiteDefinition.Current.GlobalAssetsRoot, "MediaflowPro", "");
            file1 = contentRepository.GetDefault<MediaData>(cf, contentType.ID);
        }
        else
        {
            var contentReference = new ContentReference(pageId);
            IContent currentPage = contentRepository.Get<IContent>(contentReference);

            var contentAssetHelper = ServiceLocator.Current.GetInstance<ContentAssetHelper>();
            var assetsFolder = contentAssetHelper.GetOrCreateAssetFolder(currentPage.ContentLink);

            file1 = contentRepository.GetDefault<MediaData>(assetsFolder.ContentLink, contentType.ID);
        }

        file1.Name = sFilename;
        // ------------------------------------------------------------------------------------------------
        // Add custom properties / metadata here for your specific MediaData derived class
        //   sDescription = Description from Mediaflow (string)
        //   sPhoto       = Photographer from Mediaflow (string)
        /*
        file1... = sDescription;
        file1... = sPhoto;
        */
        // ------------------------------------------------------------------------------------------------

        //Create a blob in the binary container
        byte[] fileBytes = System.IO.File.ReadAllBytes(sTmpFile);
        var blob = blobFactory.CreateBlob(file1.BinaryDataContainer, fileExtention);
        using (var s = blob.OpenWrite())
        {
            s.Write(fileBytes, 0, fileBytes.Length);
        }

        //Assign to file and publish changes
        file1.BinaryData = blob;
        ContentReference file1ID = contentRepository.Save(file1, SaveAction.Publish);

        Response.Write("{\"status\":\"OK\",\"tmp\":\"" + sTmpFile.Replace("\\", "\\\\") + "\",\"imageSrc\":\"" + file1ID.ToString() + "\",\"ivd\":\"" + IVData.Replace("\\", "\\\\").Replace("\"", "\\\"") + "\",\"errdata\":\"\"}");
    } catch(Exception e) {
        Response.Write("{\"status\":\"NOTSAVED\",\"message\":\"" + e.ToString().Replace("\\", "\\\\").Replace("\"", "\\\"").Replace("\r", "").Replace("\n", "\\n") + "\",\"ivd\":\"\",\"errdata\":\"" + e.Source.ToString().Replace("\\", "\\\\").Replace("\"", "\\\"").Replace("\r", "").Replace("\n", "\\n") + "\"}");
        return;
    }
%>
<script runat="server">
private ContentReference GetOrCreateFolder(IContentRepository _contentRepository, ContentReference parentFolder, string folderName, string languageId)
{
	var languageSelector = new LanguageSelector(languageId);
	var storedFolder = _contentRepository.GetBySegment(parentFolder, folderName, languageSelector) as ContentFolder;
	if (storedFolder != null) {
		return storedFolder.ContentLink;
	}
	storedFolder  =_contentRepository.GetDefault<ContentFolder>(parentFolder);
	storedFolder.Name = folderName;
	_contentRepository.Save(storedFolder, EPiServer.DataAccess.SaveAction.Publish, EPiServer.Security.AccessLevel.NoAccess);
	return storedFolder.ContentLink;
}
public string GetStrFromWeb(string URL, string PostData)
{
  System.Net.HttpWebResponse res22;
  System.Net.HttpWebRequest req22;
  System.IO.Stream receiveStream, tempStream=null;
  string s;
  byte[] buffer = new byte[1024];
  byte[] buff;
  int Count;
  string MFPProxyURL = "";

  buff = null;
  if(PostData.Length>0) {
	  buff = System.Text.Encoding.UTF8.GetBytes(PostData);
  }
  req22 = (System.Net.HttpWebRequest)System.Net.WebRequest.Create(URL);
  req22.MaximumAutomaticRedirections = 1;
  req22.MaximumResponseHeadersLength = 4;
  req22.Credentials = System.Net.CredentialCache.DefaultCredentials;
  if(System.Web.Configuration.WebConfigurationManager.AppSettings["MFPProxyURL"]!=null)
   MFPProxyURL = System.Web.Configuration.WebConfigurationManager.AppSettings["MFPProxyURL"];
  if(MFPProxyURL.Length>0)
    req22.Proxy = new System.Net.WebProxy(MFPProxyURL);
  req22.Timeout = 10000;
  req22.ReadWriteTimeout = 10000;
  if(PostData.Length>0) {
	req22.ContentType = "application/x-www-form-urlencoded;charset=UTF-8";
	req22.ContentLength = buff.Length;
	req22.Method = "POST";
	req22.ProtocolVersion = System.Net.HttpVersion.Version11;
	req22.KeepAlive = true;

	try {
	  tempStream = req22.GetRequestStream();
	} catch (Exception) {
	  return "";
	}
	tempStream.Write(buff, 0, buff.Length);
	try {
	  tempStream.Close();
	} catch (Exception) {
	}
  }

  try	{
	res22 = (System.Net.HttpWebResponse)req22.GetResponse();
  } catch(System.Net.WebException) {
	return "";
  }
  
  try	{
	receiveStream = res22.GetResponseStream();
  } catch(Exception) {
	try {
	  res22.Close();
   } catch (Exception) {
	}
	try {
	  req22.Abort();
	} catch (Exception) {
	}
	return "";
  }

  s = "";
  try	{
	Count = receiveStream.Read(buffer, 0, 1024);
	while(Count>0) {
	  s = s + System.Text.Encoding.UTF8.GetString(buffer, 0, Count);
	  Count = receiveStream.Read(buffer, 0, 1024);
	}
  } catch(Exception) {
	try {
	  receiveStream.Close();
	} catch (Exception) {
	}
	try {
	  res22.Close();
	} catch (Exception) {
	}
	try {
	  req22.Abort();
	} catch (Exception) {
	}    	  
	return s;
  }

  try {
	receiveStream.Close();
  } catch (Exception) {
  }
  try {
	res22.Close();
  } catch (Exception) {
  }
  return s;
}
private int GetFileFromWeb(string URL, string Filename, string PostData)
{
  System.Net.HttpWebResponse res22;
  System.Net.HttpWebRequest req22;
  System.IO.Stream receiveStream, tempStream=null;
  System.IO.FileStream fs;
  byte[] buffer = new byte[1024];
  byte[] buff;
  int Count;
  string MFPProxyURL = "";

  buff = null;
  if(PostData.Length>0) {
    buff = System.Text.Encoding.UTF8.GetBytes(PostData);
  }
  req22 = (System.Net.HttpWebRequest)System.Net.WebRequest.Create(URL);
  req22.MaximumAutomaticRedirections = 1;
  req22.MaximumResponseHeadersLength = 4;
  req22.Credentials = System.Net.CredentialCache.DefaultCredentials;
  if(System.Web.Configuration.WebConfigurationManager.AppSettings["MFPProxyURL"]!=null)
   MFPProxyURL = System.Web.Configuration.WebConfigurationManager.AppSettings["MFPProxyURL"];
  if(MFPProxyURL.Length>0)
    req22.Proxy = new System.Net.WebProxy(MFPProxyURL);
  req22.Timeout = 600000;
  req22.ReadWriteTimeout = 600000;
  if(PostData.Length>0) {
    req22.ContentType = "application/x-www-form-urlencoded;charset=UTF-8";
    req22.ContentLength = buff.Length;
    req22.Method = "POST";
    req22.ProtocolVersion = System.Net.HttpVersion.Version11;
    req22.KeepAlive = true;
  }

  if(PostData.Length>0) {
    try {
      tempStream = req22.GetRequestStream();
    } catch (Exception) {
      return 5;
    }
    tempStream.Write(buff, 0, buff.Length);
    try {
      tempStream.Close();
    } catch (Exception) {
    }
  }
  
  try	{
    res22 = (System.Net.HttpWebResponse)req22.GetResponse();
  } catch(System.Net.WebException) {
    return 1;
  }
  
  try	{
    fs = new System.IO.FileStream(Filename, System.IO.FileMode.CreateNew, System.IO.FileAccess.ReadWrite, System.IO.FileShare.ReadWrite);
  } catch(Exception) {
    res22.Close();
    return 2;
  }

  try	{
    receiveStream = res22.GetResponseStream();
  } catch(Exception) {
    fs.Close();
    res22.Close();
    return 3;
  }

  try	{
    Count = receiveStream.Read(buffer, 0, 1024);
    while(Count>0) {
      fs.Write(buffer, 0, Count);
      Count = receiveStream.Read(buffer, 0, 1024);
    }
  } catch(Exception) {
    fs.Close();
    receiveStream.Close();
    res22.Close();
    return 3;
  }

  fs.Close();
  receiveStream.Close();
  res22.Close();
  return 0;
}
</script>